# TdApi.AttachmentMenuBot (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AttachmentMenuBot

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AttachmentMenuBot

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AttachmentMenuBot

Enclosing class:
  TdApi

public static final class TdApi.AttachmentMenuBot extends TdApi.Object
Represents a bot, which can be added to attachment menu.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.File`
`androidIcon`
Attachment menu icon for the bot in TGS format for the official Android app; may be null.
`long`
`botUserId`
User identifier of the bot added to attachment menu.
`static final int`
`CONSTRUCTOR`
`TdApi.File`
`defaultIcon`
Default attachment menu icon for the bot in SVG format; may be null.
`TdApi.AttachmentMenuBotColor`
`iconColor`
Color to highlight selected icon of the bot if appropriate; may be null.
`TdApi.File`
`iosAnimatedIcon`
Attachment menu icon for the bot in TGS format for the official iOS app; may be null.
`TdApi.File`
`iosStaticIcon`
Attachment menu icon for the bot in SVG format for the official iOS app; may be null.
`TdApi.File`
`macosIcon`
Attachment menu icon for the bot in TGS format for the official native macOS app; may be null.
`String`
`name`
Name for the bot in attachment menu.
`TdApi.AttachmentMenuBotColor`
`nameColor`
Color to highlight selected name of the bot if appropriate; may be null.
`boolean`
`requestWriteAccess`
True, if the user must be asked for the permission to the bot to send them messages.
`boolean`
`supportsBotChats`
True, if the bot supports opening from attachment menu in private chats with other bots.
`boolean`
`supportsChannelChats`
True, if the bot supports opening from attachment menu in channel chats.
`boolean`
`supportsGroupChats`
True, if the bot supports opening from attachment menu in basic group and supergroup chats.
`boolean`
`supportsSelfChat`
True, if the bot supports opening from attachment menu in the chat with the bot.
`boolean`
`supportsSettings`
True, if the bot supports "settings_button_pressed" event.
`boolean`
`supportsUserChats`
True, if the bot supports opening from attachment menu in private chats with ordinary users.
`TdApi.File`
`webAppPlaceholder`
Default placeholder for opened Web Apps in SVG format; may be null.

## Constructor Summary

Constructors
Constructor
Description
`AttachmentMenuBot()`
Represents a bot, which can be added to attachment menu.
`AttachmentMenuBot(long botUserId, boolean supportsSelfChat, boolean supportsUserChats, boolean supportsBotChats, boolean supportsGroupChats, boolean supportsChannelChats, boolean supportsSettings, boolean requestWriteAccess, String name, TdApi.AttachmentMenuBotColor nameColor, TdApi.File defaultIcon, TdApi.File iosStaticIcon, TdApi.File iosAnimatedIcon, TdApi.File androidIcon, TdApi.File macosIcon, TdApi.AttachmentMenuBotColor iconColor, TdApi.File webAppPlaceholder)`
Represents a bot, which can be added to attachment menu.
`AttachmentMenuBot(DataInput input)`
Represents a bot, which can be added to attachment menu.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### botUserId

public long botUserId
User identifier of the bot added to attachment menu.

### supportsSelfChat

public boolean supportsSelfChat
True, if the bot supports opening from attachment menu in the chat with the bot.

### supportsUserChats

public boolean supportsUserChats
True, if the bot supports opening from attachment menu in private chats with ordinary users.

### supportsBotChats

public boolean supportsBotChats
True, if the bot supports opening from attachment menu in private chats with other bots.

### supportsGroupChats

public boolean supportsGroupChats
True, if the bot supports opening from attachment menu in basic group and supergroup chats.

### supportsChannelChats

public boolean supportsChannelChats
True, if the bot supports opening from attachment menu in channel chats.

### supportsSettings

public boolean supportsSettings
True, if the bot supports "settings_button_pressed" event.

### requestWriteAccess

public boolean requestWriteAccess
True, if the user must be asked for the permission to the bot to send them messages.

### name

public String name
Name for the bot in attachment menu.

### nameColor

public TdApi.AttachmentMenuBotColor nameColor
Color to highlight selected name of the bot if appropriate; may be null.

### defaultIcon

public TdApi.File defaultIcon
Default attachment menu icon for the bot in SVG format; may be null.

### iosStaticIcon

public TdApi.File iosStaticIcon
Attachment menu icon for the bot in SVG format for the official iOS app; may be null.

### iosAnimatedIcon

public TdApi.File iosAnimatedIcon
Attachment menu icon for the bot in TGS format for the official iOS app; may be null.

### androidIcon

public TdApi.File androidIcon
Attachment menu icon for the bot in TGS format for the official Android app; may be null.

### macosIcon

public TdApi.File macosIcon
Attachment menu icon for the bot in TGS format for the official native macOS app; may be null.

### iconColor

public TdApi.AttachmentMenuBotColor iconColor
Color to highlight selected icon of the bot if appropriate; may be null.

### webAppPlaceholder

public TdApi.File webAppPlaceholder
Default placeholder for opened Web Apps in SVG format; may be null.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AttachmentMenuBot

public AttachmentMenuBot()
Represents a bot, which can be added to attachment menu.

### AttachmentMenuBot

public AttachmentMenuBot(long botUserId, boolean supportsSelfChat, boolean supportsUserChats, boolean supportsBotChats, boolean supportsGroupChats, boolean supportsChannelChats, boolean supportsSettings, boolean requestWriteAccess, String name, TdApi.AttachmentMenuBotColor nameColor, TdApi.File defaultIcon, TdApi.File iosStaticIcon, TdApi.File iosAnimatedIcon, TdApi.File androidIcon, TdApi.File macosIcon, TdApi.AttachmentMenuBotColor iconColor, TdApi.File webAppPlaceholder)
Represents a bot, which can be added to attachment menu.

Parameters:
  `botUserId` - long User identifier of the bot added to attachment menu.
  `supportsSelfChat` - boolean True, if the bot supports opening from attachment menu in the chat with the bot.
  `supportsUserChats` - boolean True, if the bot supports opening from attachment menu in private chats with ordinary users.
  `supportsBotChats` - boolean True, if the bot supports opening from attachment menu in private chats with other bots.
  `supportsGroupChats` - boolean True, if the bot supports opening from attachment menu in basic group and supergroup chats.
  `supportsChannelChats` - boolean True, if the bot supports opening from attachment menu in channel chats.
  `supportsSettings` - boolean True, if the bot supports "settings_button_pressed" event.
  `requestWriteAccess` - boolean True, if the user must be asked for the permission to the bot to send them messages.
  `name` - String Name for the bot in attachment menu.
  `nameColor` - AttachmentMenuBotColor Color to highlight selected name of the bot if appropriate; may be null.
  `defaultIcon` - File Default attachment menu icon for the bot in SVG format; may be null.
  `iosStaticIcon` - File Attachment menu icon for the bot in SVG format for the official iOS app; may be null.
  `iosAnimatedIcon` - File Attachment menu icon for the bot in TGS format for the official iOS app; may be null.
  `androidIcon` - File Attachment menu icon for the bot in TGS format for the official Android app; may be null.
  `macosIcon` - File Attachment menu icon for the bot in TGS format for the official native macOS app; may be null.
  `iconColor` - AttachmentMenuBotColor Color to highlight selected icon of the bot if appropriate; may be null.
  `webAppPlaceholder` - File Default placeholder for opened Web Apps in SVG format; may be null.

### AttachmentMenuBot

public AttachmentMenuBot(DataInput input) throws IOException
Represents a bot, which can be added to attachment menu.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`